# $Revision: 1.185 $, $Date: 2011/05/24 18:25:55 $
Summary:	PSI - Jabber client
Summary(de.UTF-8):	PSI - ein Instant Messaging Client-Programm für Jabber
Summary(pl.UTF-8):	PSI - klient Jabbera
Name:		psi
Version:	0.14
Release:	8
License:	GPL v2
Group:		Applications/Communications
Source0:	http://downloads.sourceforge.net/psi/%{name}-%{version}.tar.bz2
# Source0-md5:	9d7dcce3bcab53b741a712199bd986be
Source1:	%{name}-lang.tar.bz2
# Source1-md5:	cf6d82f53f1f1600a49bb61ba81151bf
Patch0:		%{name}-fix_configure_for_ksh.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-home_etc.patch
Patch3:		%{name}-customos.patch
Patch4:		%{name}-no_online_offline_status.patch
Patch5:		%{name}-icon_buttons_big_return-mod.patch
Patch6:		%{name}-empty_group-fix.patch
# http://machekku.uaznia.net/xmpp/psi/patches/
Patch7:		%{name}-machekku-avatars_in_tooltip.patch
URL:		http://psi-im.org/
BuildRequires:	Qt3Support-devel
BuildRequires:	QtCore-devel
BuildRequires:	QtDBus-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtXml-devel
BuildRequires:	aspell-devel
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.7c
BuildRequires:	qca-devel >= 2.0.0
BuildRequires:	qt4-build >= 4.4.0
BuildRequires:	qt4-linguist >= 4.4.0
BuildRequires:	qt4-qmake >= 4.4.0
BuildRequires:	which
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-proto-scrnsaverproto-devel
BuildRequires:	zlib-devel
Requires:	gstreamer-v4l2
Requires:	qt4-plugin-qca-ossl
Suggests:	gpgme >= 1.0.0
Obsoletes:	qt-designer-psiwidgets
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PSI is a communicator for the Jabber open messaging system. It is
based on the Qt library. It supports SSL encrypted connections. The
default behaviour for SSL was changed so that it looks for SSL
certificates in $DATADIR/certs or in ~/.psi/certs.

%description -l de.UTF-8
Psi ist ein Instant Messaging (IM) Client-Programm für das
Jabber-Protokoll (XMPP), welches das Qt Toolkit nutzt.

%description -l pl.UTF-8
PSI jest komunikatorem dla otwartego systemu wiadomości Jabber. Został
stworzony w oparciu o bibliotekę Qt. PSI wspiera połączenia szyfrowane
SSL. W stosunku do domyślnego zachowania komunikatora została
wprowadzona zmiana, która powoduje że certyfikaty SSL są poszukiwane w
katalogu $DATADIR/certs lub ~/.psi/certs.

%prep
%setup -q -a 1
%patch0 -p0
%patch1 -p1
%{?with_home_etc:%patch2 -p1}
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

rm -rf third-party

%build
./configure \
	--prefix=%{_prefix} \
	--datadir=%{_datadir} \
	--libdir=%{_libdir} \
	--no-separate-debug-info

%{__make}

cd lang
lrelease-qt4 *.ts

%install
rm -rf $RPM_BUILD_ROOT

export QTDIR=%{_libdir}/qt4

install -d $RPM_BUILD_ROOT%{_libdir}/psi/plugins

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

cp -f lang/*.qm $RPM_BUILD_ROOT%{_datadir}/psi/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc INSTALL README
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/psi
%lang(ar) %{_datadir}/psi/*_ar.qm
%lang(ca) %{_datadir}/psi/*_ca.qm
%lang(cs) %{_datadir}/psi/*_cs.qm
%lang(da) %{_datadir}/psi/*_da.qm
%lang(de) %{_datadir}/psi/*_de.qm
%lang(el) %{_datadir}/psi/*_el.qm
%lang(eo) %{_datadir}/psi/*_eo.qm
%lang(es) %{_datadir}/psi/*_es.qm
%lang(fi) %{_datadir}/psi/*_fi.qm
%lang(fr) %{_datadir}/psi/*_fr.qm
%lang(it) %{_datadir}/psi/*_it.qm
%lang(jp) %{_datadir}/psi/*_jp.qm
%lang(mk) %{_datadir}/psi/*_mk.qm
%lang(nl) %{_datadir}/psi/*_nl.qm
%lang(pl) %{_datadir}/psi/*_pl.qm
%lang(pt_BR) %{_datadir}/psi/*_ptbr.qm
%lang(pt) %{_datadir}/psi/*_pt.qm
%lang(ru) %{_datadir}/psi/*_ru.qm
%lang(se) %{_datadir}/psi/*_se.qm
%lang(sk) %{_datadir}/psi/*_sk.qm
%lang(sr) %{_datadir}/psi/*_sr.qm
%lang(uk) %{_datadir}/psi/*_uk.qm
%lang(zh) %{_datadir}/psi/*_zh.qm
%dir %{_libdir}/psi
%dir %{_libdir}/psi/plugins
%{_datadir}/psi/certs
%{_datadir}/psi/iconsets
%{_datadir}/psi/sound
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: psi.spec,v $
Revision 1.185  2011/05/24 18:25:55  arekm
- rel 8; gstreamer-video4linux is gone

Revision 1.184  2010/12/20 09:39:52  arekm
- rel 7

Revision 1.183  2010/12/20 07:08:52  arekm
- add R: gstreamer-v4l2

Revision 1.182  2010/09/08 06:46:47  arekm
- rel 6; require gstreamer-video4linux otherwise crashes

Revision 1.181  2010/08/31 06:02:42  arekm
- release 5

Revision 1.180  2010/03/22 13:00:53  hawk
- hopefully this will fix i686 on Titanium

Revision 1.179  2010/03/22 12:09:33  shadzik
- cleanup

Revision 1.178  2010/03/17 13:26:04  hawk
- dropped mod-appearance patch, what was merged is sufficient

Revision 1.177  2010/01/29 20:08:12  arekm
- release 2

Revision 1.176  2009/12/03 11:48:37  arekm
- up to 0.14

Revision 1.175  2009/08/17 22:54:19  cactus
- add langs from psi-daisy
- rel 4

Revision 1.174  2009/08/17 21:27:10  cactus
- rel 3.

Revision 1.173  2009/08/17 21:19:33  cactus
- own ../psi/plugins dir

Revision 1.172  2009/08/17 09:26:38  arekm
- rel 2; configure and package libdir for plugins

Revision 1.171  2009/07/28 21:03:51  arekm
- up to 0.13

Revision 1.170  2009/06/30 16:54:22  hawk
- release 2

Revision 1.169  2009/03/12 18:01:21  arekm
- up to 0.12.1

Revision 1.168  2009/03/12 13:19:50  arekm
- release 6

Revision 1.167  2009/03/05 10:30:44  arekm
- release 5

Revision 1.166  2009/03/04 07:42:46  arekm
- rel 4; qt4.5 compat fix

Revision 1.165  2008/08/19 22:27:16  charles
- BR: which

Revision 1.164  2008/08/10 12:37:05  wolvverine
- add avatars_in_tooltip patch. STBR

Revision 1.163  2008/08/09 20:28:16  hawk
- updated appearance-mod.patch, dropped status_indicator-add.patch (may be
  substituted by enabling option to show status messages in contact list)
- release 2

Revision 1.162  2008/08/01 16:11:03  hawk
- restored and updated no_online_offline_status.patch
- restored status_indicator-add and appearance-mod patches, not udpated yet

Revision 1.161  2008/08/01 15:32:20  hawk
- release 1.1, NFY!, DON'T DROP PATCHES "just beacuse"! update them instead
  or add appropriate TODO
- please do not STBR!

Revision 1.160  2008/08/01 14:39:01  arekm
- drop uncommented patches

Revision 1.159  2008/08/01 13:46:43  wolvverine
- drop old patches: certs, settoggles-fix, version

Revision 1.158  2008/08/01 13:02:17  arekm
- partial up to 0.12

Revision 1.157  2008/08/01 12:53:31  wolvverine
- up to 0.12-RC4

Revision 1.156  2008/04/01 10:33:01  paszczus
- added Suggests: gpgme

Revision 1.155  2008-02-04 14:59:01  hawk
- small cosmetic fix in appearance-mod.patch
- added version patch (removes "dev" from version string, its stable release)
- release 3

Revision 1.154  2008-01-27 18:26:06  hawk
- works for me, release 2

Revision 1.153  2008-01-27 17:19:33  hawk
- updated appearance-mod.patch, renumbered patches

Revision 1.152  2008-01-26 00:05:03  qboosh
- O: for removed qt-designer-psiwidgets

Revision 1.151  2008-01-25 23:45:42  hawk
- typo

Revision 1.150  2008-01-25 23:23:28  hawk
- backported more patches, one more to go
- dropped roster-rich.patch (I'm too weak to port it, feel free to do it)

Revision 1.149  2008-01-25 22:38:42  hawk
- indicator.png must be available during compilation because default
  roster iconset is builtin into psi binary

Revision 1.148  2008-01-25 20:17:30  hawk
- no_online_status-mod.patch replaced with no_online_offline_status.patch
- icondef.xml_status_indicator.patch merged into status_indicator-add.patch
- indicator.png is back

Revision 1.147  2008-01-25 16:05:18  hawk
- dropped qca_nolink_fix.patch, obsolete
- cleanup, renumbered few patches

Revision 1.146  2008-01-25 11:23:31  hawk
- started backporting patches from psi 0.10
- dropped configure_fix.patch, replaced by backported
  fix_configure_for_ksh.patch
- release 1.1, NFY

Revision 1.145  2008-01-04 19:14:43  qboosh
- qt4-qmake -> qmake-qt4

Revision 1.144  2007-10-18 18:13:10  shadzik
- add patch0 which clears TODO
- rel 1

Revision 1.143  2007/10/18 17:42:46  shadzik
- better

Revision 1.142  2007/10/18 17:30:15  shadzik
- no need to export QTDIR when using qt4-qmake

Revision 1.141  2007/10/18 12:15:08  shadzik
- one more german fix
- adapterized

Revision 1.140  2007/10/18 11:48:00  shadzik
- german summary fix

Revision 1.139  2007/10/17 20:18:48  arekm
R: qt4-plugin-qca-ossl

Revision 1.138  2007/10/17 20:09:47  arekm
- BR xscreensaver stuff

Revision 1.137  2007/10/17 19:56:41  arekm
- up to 0.11; old patches/changes dropped. 0.10 series tagged with psi-0_10-3

Revision 1.136  2007/09/05 14:32:29  baggins
- rel 3

Revision 1.135  2007/04/09 01:42:38  shadzik
mass attack: qt-devel epoch

Revision 1.134  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.133  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.132  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.131  2006/02/11 14:00:44  hawk
- removed default PSI 0.9.3 icons, they'll be available in separate packages

Revision 1.130  2006/01/22 16:15:53  hawk
- works for me, release 1

Revision 1.129  2006/01/22 14:04:49  hawk
- updated appearance-mod patch
- release 0.5

Revision 1.128  2006/01/22 00:25:05  hawk
- nicechats-mod replaced with new enhanced version, renumbered patches
- release 0.4

Revision 1.127  2006/01/20 02:36:30  hawk
- builds, works
- release 0.3, please test

Revision 1.126  2006/01/19 22:21:55  hawk
- include iconsets from psi 0.9.x

Revision 1.125  2006/01/19 20:31:58  hawk
- doh. indicator.png is back

Revision 1.124  2006/01/19 19:58:15  hawk
- sed is gone, patch is back :)

Revision 1.123  2006/01/19 19:52:36  hawk
- make it build
- release 0.2, still NFY

Revision 1.122  2006/01/19 19:27:45  jack
- Patch4 is superfluous - sed can do the same! ;)

Revision 1.121  2006/01/19 19:08:45  hawk
- oops!

Revision 1.120  2006/01/19 18:40:25  hawk
- replaced ugly workaround with nicer patch

Revision 1.119  2006/01/19 18:26:46  jack
- added dirty workaround (NFY)

Revision 1.118  2006/01/19 18:17:31  jack
- NFY

Revision 1.117  2006/01/19 16:50:49  hawk
- started update to 0.10, NFY

Revision 1.116  2005/12/30 01:54:18  domelu
- new homepage
- changelog cosmetics

Revision 1.115  2005/12/03 09:53:19  dzeus
- added ui_about-includes.patch from DEVEL (removing unneeded KDE includes)
- moved all lang sources to one file, rel. 6, STBR

Revision 1.114  2005/10/25 20:21:20  krolik
- fixed missing psi_eo.qm file

Revision 1.113  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.112  2005/06/15 06:14:50  dzeus
- zh lang fix

Revision 1.111  2005/06/14 22:15:05  qboosh
- lang fix

Revision 1.110  2005/06/14 21:48:48  dzeus
- added lang_(hr,pt_br)

Revision 1.109  2005/04/21 19:19:05  dzeus
- added lang_(sr,yu), rel. 5, STBR

Revision 1.108  2005/04/01 11:26:16  dzeus
- rel. 4, STBR

Revision 1.107  2005/03/31 21:28:51  dzeus
- german desc&summary from DEVEL

Revision 1.106  2005/03/31 21:21:36  dzeus
- missing customos.patch

Revision 1.105  2005/02/28 21:51:15  qboosh
- s/osdn\.dl/dl/ in Source URL (osdn is no longer browsable)

Revision 1.104  2005/02/20 18:13:31  dzeus
- added lang_(eo,sl), rel. 3

Revision 1.103  2005/01/20 19:04:04  qboosh
- unified

Revision 1.102  2005/01/19 19:38:22  troll
- new bcond: without fu*ing home_etc

Revision 1.101  2005/01/17 18:23:45  dzeus
- added lang_(cs,el,sk)

Revision 1.100  2005/01/16 12:31:15  dzeus
- removed wrong_mainwin_pos_gnome-fix.patch (remember window sizes not work)
- rel. 2

Revision 1.99  2005/01/15 09:02:18  ankry
- better pl

Revision 1.98  2005/01/15 08:45:47  dzeus
- used perl to kill debug
- cosmetics, rel. 1 STBR

Revision 1.97  2005/01/14 22:06:25  dzeus
- added psi-empty_group-fix.patch

Revision 1.96  2005/01/14 18:54:51  dzeus
- added lang de

Revision 1.95  2005/01/14 18:04:43  dzeus
- spaces -> tabs

Revision 1.94  2005/01/14 18:00:52  dzeus
- added group_openclose_single_click.patch from SKaZi

Revision 1.93  2005/01/13 23:16:08  dzeus
- removed unused patches, cleanup
- added nodebug.patch, updated status_indicator-add.patch

Revision 1.92  2005/01/13 17:21:36  dzeus
- updated psi_pl langpack

Revision 1.91  2005/01/12 10:35:01  dzeus
- added qt-designer-psiwidgets subpackage (merge from DEVEL)

Revision 1.90  2005/01/12 05:14:46  troll
- added BR: qca-devel

Revision 1.89  2005/01/11 22:49:21  dzeus
- added ChangeLog to %doc

Revision 1.88  2005/01/11 22:32:44  qboosh
- Estonian is et not ee

Revision 1.87  2005/01/11 22:26:40  qboosh
- gpm-friendly Source URL

Revision 1.86  2005/01/11 22:21:43  dzeus
- started up to 0.9.3
- added some patch from DEVEL
- removed square_timestamps bcond
- NFY

Revision 1.85  2004/11/08 21:22:44  paszczus
- use %{name} in Sources

Revision 1.84  2004/10/24 22:49:23  paladine
- QT->Qt
- spelling fixes

Revision 1.83  2004/08/28 17:01:24  jack
- ufff...

Revision 1.82  2004/08/28 16:59:02  jack
- coś ssie :(

Revision 1.81  2004/08/28 16:43:51  jack
- ssij maleńki, ssij

Revision 1.80  2004/08/28 13:12:49  jack
- added lang files
- rel 3
- please put it in distfiles - I forgot my password :(

Revision 1.79  2004/08/09 18:37:23  havner
- rel 2

Revision 1.78  2004/06/12 23:08:59  pluto
- R(qt-plugin-qca-tls): fixed.

Revision 1.77  2004/06/11 07:17:17  jack
- corrected bconded patch13

Revision 1.76  2004/06/10 17:55:11  arekm
- rel 1

Revision 1.75  2004/06/10 17:32:05  jack
- oops (0.9.1 -> 0.9.2) in sed^H^H^Hperl ;)
- second twos not tested.

Revision 1.74  2004/06/10 17:20:10  jack
- updated to 0.9.2 final ;)
- I hope I didn't broke to much ;)

Revision 1.73  2004/06/07 20:28:22  jpc
- fixed BRs

Revision 1.72  2004/06/06 14:59:55  jpc
- square_timestamps (cool name for a bcond, isn't it :D)
  it was turned on by default, now it is not

Revision 1.71  2004/06/06 13:20:52  jpc
- BR: qt-linguist

Revision 1.70  2004/06/06 00:34:19  jpc
- BR: /usr/bin/qmake (will this force qmake install on
  builders with qt-devel = 3.3.2-5? I don't want to BR:
  qmake, 'cause it will break qt-devel < 3.3.2-5)

Revision 1.69  2004/06/05 23:04:26  jpc
- merged DEVEL back to HEAD (this will soon be 0.9.2 final)

Revision 1.40.2.29.2.1  2004/06/05 22:50:19  jpc
- new snap (because the date is cool and the snap number 0wNZ)
- new snap == some interface cosmetics

Revision 1.40.2.29  2004/05/22 17:03:14  jpc
- new snap (20040522)

Revision 1.40.2.28  2004/05/13 12:13:55  qboosh
- s/R/BR/ cyrus-sasl-devel

Revision 1.40.2.27  2004/05/13 11:13:45  adgor
- Separated designer widgets plugin (no sense in forcing people to be happy)

Revision 1.40.2.26  2004/05/13 10:29:34  averne
- added missing BR: cyrus-sasl-devel

Revision 1.40.2.25  2004/05/10 16:23:34  arekm
- install one so file in other way

Revision 1.40.2.24  2004/05/10 15:10:25  jpc
- new snap (20041005)
- updated version string magic

Revision 1.40.2.23  2004/05/09 23:04:08  adgor
- Added qca-sasl plugin
- libpsiwidgets.so moved to plugins-mt/designer
- Rel ++

Revision 1.40.2.22  2004/05/09 20:46:22  adgor
- %{_libdir}/qt/plugins-mt/crypto is owned by qt

Revision 1.40.2.21  2004/05/09 20:02:08  jpc
- updated the status_indicator patch (now compiles with GCC)
- reverted %{_datadir}/psi/designer

Revision 1.40.2.20  2004/05/09 18:45:14  arekm
- no designer exists

Revision 1.40.2.19  2004/05/08 15:19:32  jpc
- new snap
- updated patches
- gcc doesn't like the status_indicator patch

Revision 1.40.2.18  2004/04/27 14:47:32  jpc
- corrected icondef.xml (credits to Paweł Marek Zaskórski)

Revision 1.40.2.17  2004/04/03 21:02:37  jpc
- updated the rich roster patch (less cpu intensive now)
- new snap 20040401

Revision 1.40.2.16  2004/03/23 16:29:11  jpc
- doublebuffer patch isn't working well (as the author says)

Revision 1.40.2.15  2004/03/23 14:33:02  jpc
- TODO
- statusindicator patch updated
- renamed rich roster patch

Revision 1.40.2.14  2004/03/22 13:51:45  jpc
- forgot to drop the sources in
- description corrections

Revision 1.40.2.13  2004/03/22 13:38:17  jpc
- new by SKaZi: rich text roster (http://skazi.jogger.pl/#e33556)
                color settings for chat dialog
- new (?) snap - 20040322

Revision 1.40.2.12  2004/03/22 05:22:12  troll
- updated to 20040321
- added md5 sum

Revision 1.40.2.11  2004/03/02 23:16:47  jpc
- more strict depends
- forgot to upload to distfiles :]

Revision 1.40.2.10  2004/03/02 23:02:19  jpc
- file transfer!
- CVS snapshot 20040302
- some cleanups

Revision 1.40.2.9  2004/02/26 01:02:06  jpc
- release 1 (works for me)

Revision 1.40.2.8  2004/02/26 00:54:41  jpc
- corrected Source0 url

Revision 1.40.2.7  2004/02/26 00:15:49  jpc
- CVS 20040226 version
- added some SKaZi's patches

Revision 1.66  2004/02/15 16:20:46  qboosh
- install unification (-c does nothing)

Revision 1.65  2004/02/13 21:35:58  freetz
- use patched .desktop from tarball

Revision 1.64  2004/02/13 19:58:37  freetz
- langpack added / international files added
- additional features/paths/pld patches removed - obsoleted/already included
- customos/home_etc patch updated for 0.9.1
- finished "try merge from DEVEL branch"

Revision 1.63  2004/01/22 00:08:14  undefine
- try merge DEVEL branch, NFY

Revision 1.62  2004/01/06 15:02:49  deejay1
- some a's and the's
- small chengelog cosmetic

Revision 1.61  2003/12/02 17:08:08  krolik
- added new bcond with psi-customos.patch
- rel. 4

Revision 1.60  2003/11/19 23:14:58  witekfl
- added home_etc.patch
- rel 3

Revision 1.59  2003/09/11 22:08:37  blues
- cosmetics

Revision 1.58  2003/09/10 09:05:09  wrobell
- :-\

Revision 1.57  2003/08/31 23:00:36  ankry
- propes Sweedish lang code

Revision 1.56  2003/06/19 15:50:40  jack
- RA-branch went to proper place (not /dev/null ;) )

Revision 1.55  2003/06/19 14:00:43  adamg
- do not remove COPYING and README files from %{_datadir}/psi (reported
  through BTS)

Revision 1.54  2003/06/19 11:29:50  jack
- added description in client info
- added %defines for Ra (commented)
- release 2

Revision 1.53  2003/06/18 23:21:44  leafnode
- conflicts with qt-plugin-ssl 1.0

Revision 1.52  2003/06/18 16:07:32  freetz
- added additional_features.patch (some GUI enhancements)\n- added bcond _with_addons

Revision 1.51  2003/06/18 11:18:07  orzech
- almost finished

Revision 1.50  2003/06/18 11:00:00  migo
- fixed BR, cosmetics

Revision 1.49  2003/06/18 10:28:39  qboosh
- removed default _prefix, fixed lang() for ja

Revision 1.48  2003/06/18 10:12:11  adasi
- 0.9, ugly LIBDIR hack

Revision 1.47  2003/06/18 08:56:17  orzech
- up to 0.9, nfy

Revision 1.46  2003/05/28 18:01:49  djurban
- fixed %files

Revision 1.45  2003/05/28 17:49:35  djurban
- vfolders support
- my changes finished rel. 3

Revision 1.44  2003/05/28 17:22:20  djurban
- fixed without qssl bcond
- added more translations

Revision 1.43  2003/05/28 13:01:24  malekith
- massive attack: source-md5

Revision 1.42  2003/05/25 06:25:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/05/12 07:53:46  djrzulf
- patch and desktop file updated,
- Release 2,

Revision 1.40  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.39  2003/02/06 20:29:39  krolik
- back to previous directory prefix

Revision 1.38  2003/02/06 19:57:14  krolik
- changed directories prefix to /usr/X11R6
- STBR

Revision 1.37  2003/01/31 23:06:51  djrzulf
- changes moved to RA-branch,

Revision 1.36  2003/01/31 10:07:29  djrzulf
- redefined _prefix to /usr/X11R6 becouse doesn't build,
- now it works with qssl,
- qssl: release 5
- psi: release 2
- STBR,

Revision 1.35  2003/01/18 22:56:17  juandon
- removed two lines with define

Revision 1.34  2003/01/16 22:03:25  kloczek
- release 1: final cleanups.

Revision 1.33  2002/12/27 16:18:47  mmazur
- %{__cxx} support

Revision 1.32  2002/12/06 23:39:24  djurban
- blah, qssl.

Revision 1.31  2002/12/03 19:24:18  djurban
- Release 0.7
- Added qssl suport  & bcond

Revision 1.30  2002/12/03 03:41:13  wrobell
- rel. 0.6

Revision 1.29  2002/11/30 16:04:27  kloczek
- removed -fno-rtti from CXXFLAGS (it causes sigsegv on startup).

Revision 1.28  2002/11/29 22:51:35  alchemyx
- fixed psi-paths.spec so translations work properly now

Revision 1.27  2002/11/29 21:11:31  qboosh
- fixed lang(), post-qssl cleanup

Revision 1.26  2002/11/29 14:42:33  alchemyx
- removed *.pem files because they are useless
- tagged every translation with proper language

Revision 1.25  2002/11/29 08:52:48  alchemyx
- fixed translations paths

Revision 1.24  2002/11/28 20:54:35  alchemyx
- removed unneeded lines
- translations ought to be in datadir not libdir

Revision 1.23  2002/11/28 20:09:54  kloczek
- more macros,
- better C++ optmization (use -fno-exceptions -fno-rtti in CXXFLAGS),
- better %{debug} support.

Revision 1.22  2002/11/28 20:06:00  alchemyx
- renamed psi-plugin.patch into psi-paths.patch because it does not only
  applies to paths of plugins
- translations moved to %{_datadir}/psi/translations

Revision 1.21  2002/11/28 19:26:24  alchemyx
- translations as standalone files

Revision 1.20  2002/11/28 18:14:11  alchemyx
- removal of README and COPYING from %{_datadir}/psi

Revision 1.19  2002/11/28 18:00:00  alchemyx
- added translations in one tar.bz2 file
- added creation of .qm translation files from .ts source files

Revision 1.18  2002/11/27 23:38:54  alchemyx
- starting to add translations

Revision 1.17  2002/11/27 15:02:48  wiget
- qssl plugin moved to separate spec
- %install cleanup
- search for plugins in $HOME, %{_libdir}/psi and current dir (skip searching
  in %{_datadir} and /usr/X11R6/lib )
- add dir for plugins to package

Revision 1.16  2002/11/27 13:59:57  alchemyx
- updated to 0.8.7
- removed unneeded patch for resourcesdir

Revision 1.15  2002/11/27 12:02:04  qboosh
- added missing dir

Revision 1.14  2002/11/27 11:53:50  alchemyx
- %files fix
- descriptions enhaced a little bit

Revision 1.13  2002/11/27 11:41:22  wiget
- %install fixes

Revision 1.12  2002/11/26 18:53:50  alchemyx
- added desktop file
- fixed psi-plugin.patch so it does not override PSIDATADIR variable and in
  case if that directory does not exist it uses ~/.psi/
- addes psi-certs.patch so psi looks for certs in PSIDATADIR/certs or in
  ~/.psi/certs/
- some more cleaning

Revision 1.11  2002/11/17 11:37:57  alchemyx
- some cleanups
- should build properly now

Revision 1.10  2002/11/16 01:41:29  alchemyx
- every patch fixed so it works withou playing with qmake and applying patches
  in %build stage (it sucks!)
- still needs a lot of work (e.g. psi-plugin.patch is not correct)

Revision 1.9  2002/11/16 01:28:56  alchemyx
- starting big reorganisation - removing dirty hacks, making psi works

Revision 1.8  2002/10/12 20:47:14  radek
- release 0.3

Revision 1.7  2002/10/12 20:38:36  radek
- fixed directory permissions
- fixed qssl exclusion syntax (folks, learn how to use %if...)
- release 3 (it still doesn't work ;-> )

Revision 1.6  2002/10/07 18:15:09  djurban
- Corrected typos, should build correctly now, STBR.

Revision 1.5  2002/10/06 22:25:34  djurban
- Release 2
- Added ssl plugin support (bcond: _without_qssl)
- Include qssl lib, which is developed under the psi project,
  I still dont know whether to make a separate package for only one file (libqssl.so)
- Fixed path in qssl
- Fixed plugins path in psi, so that it looks for plugins in libdir
- STBR, pretty please :)

Revision 1.3  2002/10/02 12:08:00  qboosh
- added descriptions from summaries

Revision 1.2  2002/09/30 08:43:06  ankry
- fixed src url, removed bugus desriptions

Revision 1.1  2002/09/29 14:58:44  tjbynum
- not ready, we must write a patch to repair directories in harmony with FHS.
